# Copyright (c) 2013, 2014 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

# for make; must be common with velvet
%global params CATEGORIES=64 MAXKMERLENGTH=500 OPENMP=1 BIGASSEMBLY=1 LONGSEQUENCES=1

Name:		oases
Version:	0.2.8
Release:	2%{?dist}
Summary:	De novo transcriptome assembler for very short reads

#Group:		
License:	GPLv3+
URL:		http://www.ebi.ac.uk/~zerbino/oases/
# note inconsistent version numbering
Source0:	http://www.ebi.ac.uk/~zerbino/oases/oases_0.2.08.tgz

# fixme:  IS the velvet version relevant?
BuildRequires:	zlib-devel, texlive-latex, help2man, velvet-devel >= 1.2.08
BuildRoot:      %{_tmppath}/hwloc-%version-%{release}-root-%(%{__id_u} -n)

%description

Oases is a de novo transcriptome assembler designed to produce
transcripts from short read sequencing technologies, such as Illumina,
SOLiD, or 454 in the absence of any genomic assembly. It was developed
by Marcel Schulz (MPI for Molecular Genomics) and Daniel Zerbino
(previously at the European Bioinformatics Institute (EMBL-EBI), now
at UC Santa Cruz).

Oases uploads a preliminary assembly produced by Velvet, and clusters
the contigs into small groups, called loci. It then exploits the
paired-end read and long read information, when available, to
construct transcript isoforms.

Reference: M.H. Schulz, D.R. Zerbino, M. Vingron and Ewan
Birney. Oases: Robust de novo RNA-seq assembly across the dynamic
range of expression levels. Bioinformatics, 2012. DOI:
10.1093/bioinformatics/bts094.

%prep
%setup -q -n %{name}_%{version}


%build
# This is a bit of a fiddle to avoid a patch.  The makefile actually
# expects a velvet build directory to be present.
make %{?_smp_mflags} %params VELVET_FILES=-lvelvet VELVET_SRC_DIR=%_includedir/velvet cleanobj oases doc
help2man --no-info -v ' ' ./%name > %name.1


%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D oases $RPM_BUILD_ROOT%_bindir/oases
install -m644 -D data/test_reads.fa $RPM_BUILD_ROOT%_datadir/%name/test_reads.fa
install -m644 -D %name.1 $RPM_BUILD_ROOT%_mandir/man1/%name.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc OasesManual.pdf LICENSE.txt ChangeLog 
%_bindir/oases
%_datadir/%name
%_mandir/man1/*


%changelog
* Tue Jan 28 2014 Dave Love <d.love@liverpool.ac.uk> - 0.2.8-2
- Use velvet-devel library and headers

* Thu Jan 16 2014 Dave Love <d.love@liverpool.ac.uk> - 0.2.8-1
- Initial packaging
